<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <FrameLayout
        android:id="@+id/headFl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/footerFl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        app:layout_constraintBottom_toBottomOf="parent" />


    <androidx.recyclerview.widget.RecyclerView
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="120dp"
        android:id="@+id/rvAudio"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>


    <com.swago.room.pk.PKLayoutView
        android:id="@+id/pkLayoutView"
        android:layout_marginTop="14dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/headFl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <com.swago.room.widget.ChatRecyclerView
        android:id="@+id/rv"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:requiresFadingEdge="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="70dp"
        android:layout_width="match_parent"
        android:layout_height="170dp"/>

    <com.swago.room.hongbao.RedEnvelopeView
        android:id="@+id/ivRedEnvelopeView"
        android:layout_marginBottom="120dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginEnd="10dp"
        tools:visibility="visible"
        android:visibility="gone"
        android:src="@mipmap/icon_benefit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.hongbao.RedEnvelopeBroadcastView
        android:id="@+id/ivRedEnvelopeBroadcastView"
        android:layout_marginBottom="120dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginEnd="10dp"
        tools:visibility="visible"
        android:visibility="gone"
        android:src="@mipmap/icon_benefit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


<!--    <ImageView-->
<!--        android:id="@+id/ivBenefit"-->
<!--        app:layout_constraintTop_toTopOf="parent"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        android:layout_marginEnd="10dp"-->
<!--        tools:visibility="visible"-->
<!--        android:visibility="gone"-->
<!--        android:src="@mipmap/icon_benefit"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"/>-->

<!--    <com.swago.room.widget.BannerView-->
<!--        android:id="@+id/bannerView"-->
<!--        android:layout_marginTop="150dp"-->
<!--        android:visibility="gone"-->
<!--        tools:visibility="visible"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"/>-->


    <ImageView
        android:id="@+id/ivReport"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginTop="130dp"
        android:padding="5dp"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_marginStart="10dp"
        android:src="@mipmap/icon_report"
        android:layout_width="40dp"
        android:layout_height="40dp"/>

    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_marginBottom="480dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView2"
        android:layout_marginBottom="400dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.giftdandao.GiftDanDaoView
        android:id="@+id/danDaoView3"
        android:layout_marginBottom="320dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ViewStub
        android:id="@+id/joinRoomViewStub"
        android:layout="@layout/view_user_join_room"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>


    <com.swago.room.danmu.DanMuView
        android:id="@+id/danMuView"
        android:visibility="invisible"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <com.swago.room.gift.control.XSvgPlayer
        android:id="@+id/xSvgaPlayer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>


    <com.swago.room.gift.control.SvgDanDaoView
        android:id="@+id/svgDanDaoView"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="160dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.piaotiao.WaftView
        android:id="@+id/waftView"
        android:layout_marginTop="80dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.piaotiao.WaftView
        android:id="@+id/waftView2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginTop="125dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.piaotiao.HongbaoPiaoTiaoView
        android:id="@+id/hongbaoPiaotiao"
        android:layout_marginTop="165dp"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.room.audio.widget.AudioContainGiftView
        android:id="@+id/audioAllGiftView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>

</androidx.constraintlayout.widget.ConstraintLayout>